RK-J - Feature #3062
Feature # 3024 (Closed): extension 0.92.20 & 0.93: Enable OpenAl answers

Extension v0.93 requirements
06/08/2023 02:02 AM - Ram Kordale

Status: Closed Start date: 06/07/2023
Priority: Normal Due date: 07/04/2023
Assignee: Ram Kordale % Done: 99%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 18.50 hours
Description

When user accesses a url that we have not processed, they get the 'Unfortunately, our Al has not...demand' message.

Under this, lets add 'Want to get an answer from ChatGPT?' Show chatgpt icon to the left of the dialogue.

If user clicks on 'yes' button, show the "Type phrase e.g. nested list & Press enter". Same like the one we have when video is

processed. However, replace 'magnifying glass icon' with chatgpt icon.
Make the getOpenAlanswer api call to our server and show the response.
Under the answer, show the above "Type phrase ... Press enter".
Messages in the response of the ChatGPT Plus:

1. Unfortunately, ChatGPT Plus has no answer for "<question in italics>"
2. Here's ChatGPT Plus answer for "<question in italics>"

Subtasks:

Task # 3059: EXT-0.92.20: Enable OpenAl answer in the extension Closed
Task # 3065: EXT-0.93: Display 'ChatGPT' box based on the field 'isOpenAlAnswerSupported'. Closed
Task # 3072: EXT - 0.93: Allow user to search using the ChatGPT. Rejected
Task # 3073: EXT-0.93: Add a new Ul for allowing ChatGPT. Closed
Task # 3075: EXT-0.93: Add a new Ul for searching in the ChatGPT. Closed
Task # 3083: Ext-v0.93: Revert the changes of the ticket #3059. Closed
Task # 3085: Ext-v0.93: Change the manifest version from 0.92.20 to 0.93 Closed
Task # 3090: Ext-0.93: Remove the openai result implementation from ext-0.92.20 Closed
Task # 3106: Ext-0.93: Change the request body of the answer api call. Closed
Task # 3108: Ext-0.93: Add loader in the extension while doing search using ChatGPT Plus. Closed
History
#1 - 06/08/2023 06:53 AM - Ayush Khandelwal
- Assignee set to Rishabh Rai
#2 - 06/19/2023 06:15 AM - Rishabh Rai
- Status changed from New to Resolved
#3 - 06/19/2023 06:15 AM - Rishabh Rai
- Status changed from Resolved to Review
- Assignee changed from Rishabh Rai to Ayush Khandelwal
#4 - 06/20/2023 07:06 AM - Ram Kordale
- Description updated
#5 - 06/20/2023 10:41 AM - Ram Kordale
- Description updated
- Status changed from Review to Reopened
Changed requirement

#6 - 06/22/2023 11:30 AM - Ayush Khandelwal

- Subject changed from Extension requirements to Extension v0.93 requirements

#7 - 06/22/2023 12:02 PM - Ayush Khandelwal

When user accesses a [[https:/www.youtube.com/watch?v=_uQrJ0TkZIc]] that we have not processed, they get the 'Unfortunately, our Al has
not...demand' message.

Under this, lets add 'Want to get an answer from ChatGPT?' Show chatgpt icon to the left of the dialogue. Add the submit button for 'yes'.

If user clicks on 'yes' button, show the "Type phrase e.g. nested list & Press enter". Same like the one we have when video is processed. However,
replace 'magnifying glass icon' with chatgpt icon.

If user search for a term in the search and press the enter button then make the getOpenAlanswer api call to our server with the search term and
show the response.

Under the answer response, show the above "Type phrase ... Press enter".

#8 - 07/03/2023 09:24 AM - Ayush Khandelwal

- Description updated

#9 - 07/03/2023 09:24 AM - Ayush Khandelwal
- Status changed from Reopened to In Progress

- Assignee changed from Ayush Khandelwal to Ayanava Karmakar

#10 - 07/03/2023 01:30 PM - Ayush Khandelwal

- Description updated

#11 - 07/05/2023 09:24 AM - Ayanava Karmakar

- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

#12 - 07/06/2023 05:38 AM - Ayush Khandelwal

- Status changed from In Progress to Feedback

Working as expected

#13 - 07/06/2023 05:39 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

#14 - 07/13/2023 04:51 AM - Ram Kordale
- Status changed from Feedback to Closed
